$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/830/SoftwareIdeasModelerSetup32-11-99.exe'
$url64      = 'https://www.softwareideas.net/Download/File/831/SoftwareIdeasModelerSetup64-11-99.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = '90084dd68452c13ea025fdfc56536b5e0dcb9478021868bfef0d3806fd682464'
  checksumType  = 'sha256'
  checksum64    = '928210dcbace31df9335af0a27ea5b3051393fa9844189b5ca948b234b783000'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
